﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EPiServer.Business.Commerce.Payment.Klarna.Services
{
    /// <summary>
    /// A result returned by Klarna web service.
    /// This intents to contain a list of part payment item
    /// </summary>
    public class Result
    {
        /// <summary>
        /// Flag to indicate if the request has been processed successfully or not
        /// </summary>
        /// <value>True:Process executing is success ; False:Process executing is false</value>
        public bool IsSuccess { get; set; }

        /// <summary>
        /// A message string to return to UI
        /// </summary>
        /// <value></value>
        public string Message { get; set; }

        public string CountryCode { get; set; }

        /// <summary>
        /// Gets or sets the part payment items.
        /// </summary>
        /// <value>The items.</value>
        public IEnumerable<PartPaymentItem> Items { get; set; }
    }
}
